> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootkey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create recovery point

> Enqueues creation of a new recovery point. Returns a one-time decryption password for the resulting archive.



## OpenAPI

````yaml post /platform/recovery-point
openapi: 3.0.3
info:
  title: ROOTKey Documentation
  description: >-
    Your API of choice for creating, managing, and validating information easily
    and securely!
  termsOfService: https://www.rootkey.ai/legal/privacy-policy
  contact:
    name: ROOTKey
    url: https://www.rootkey.ai/contact
    email: support@rootkey.ai
  version: 1.0.0
servers:
  - description: Production
    url: https://api.rootkey.ai/api-v1/
security:
  - x-api-key: []
tags:
  - name: api-v1-public
    description: Unauthenticated top-level /api-v1 endpoints (health, plans, annual report)
  - name: api-v1-files
    description: >-
      File anchoring, versioning, validation and compliance reporting
      (/api-v1/platform/files)
  - name: api-v1-records
    description: Structured-data record anchoring (/api-v1/platform/records)
  - name: api-v1-vaults
    description: 'Vault lifecycle: create / update / delete (/api-v1/platform/vaults)'
  - name: api-v1-recovery-points
    description: >-
      Backup archives created from vault contents
      (/api-v1/platform/recovery-point)
paths:
  /platform/recovery-point:
    post:
      tags:
        - api-v1-recovery-points
      summary: Create recovery point
      description: >-
        Enqueues creation of a new recovery point. Returns a one-time decryption
        password for the resulting archive.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - scope
              properties:
                name:
                  type: string
                  example: Full Backup 2026-07-03
                scope:
                  type: string
                  enum:
                    - global
                    - partial
                  description: >-
                    'global' includes all org vaults; 'partial' requires
                    `vaults`
                vaults:
                  type: array
                  items:
                    type: string
                  description: Vault addresses (required when scope='partial')
                timeRange:
                  type: object
                  properties:
                    start:
                      type: string
                      format: date-time
                    end:
                      type: string
                      format: date-time
      responses:
        '202':
          description: Recovery point creation accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  password:
                    type: string
                    description: One-time decryption password for the resulting archive
                    example: AB12-CdEfGhIjKlMn-OpQrStUvWxYz-AaBbCcDdEeFf
        '400':
          $ref: '#/components/responses/DomainError'
        '401':
          description: Unauthenticated
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - x-api-key: []
components:
  responses:
    DomainError:
      description: >-
        Domain-level error (validation, business rule violation, resource not
        found)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainErrorResponse'
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainErrorResponse'
  schemas:
    DomainErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            requestId:
              type: string
            message:
              type: string
            errorCode:
              type: string
            docUrl:
              type: string
            timestamp:
              type: string
              format: date-time
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        ROOTKey API key (rk_live_... for production, rk_test_... for the test
        network).

````